# studio::Renderer_Ducks Class Reference

`#include <renderer_ducks.h>`

Inheritance diagram for studio::Renderer_Ducks:

List of all members.

## Public Member Functions

| ~Renderer_Ducks ()
void | render_vfunc (const Glib::RefPtr< Gdk::Drawable > &drawable, const Gdk::Rectangle &expose_area)

## Constructor & Destructor Documentation

Renderer_Ducks::~Renderer_Ducks | ( |  | ) |

## Member Function Documentation

void Renderer_Ducks::render_vfunc | ( | const Glib::RefPtr< Gdk::Drawable > & | drawable,
|  | const Gdk::Rectangle & | expose_area |
| ) |  |  | `[virtual]`

Reimplemented from studio::WorkAreaRenderer.

References studio::colorconv_synfig2gdk(), synfigapp::Action::create(), studio::App::distance_system, DUCK_COLOR_ANGLE, DUCK_COLOR_BEZIER_1, DUCK_COLOR_BEZIER_2, DUCK_COLOR_BOX_1, DUCK_COLOR_BOX_2, DUCK_COLOR_CONNECT_INSIDE, DUCK_COLOR_CONNECT_OUTSIDE, DUCK_COLOR_NOT_EDITABLE, DUCK_COLOR_OTHER, DUCK_COLOR_OUTLINE, DUCK_COLOR_RADIUS, DUCK_COLOR_SELECTED, DUCK_COLOR_TANGENT_1, DUCK_COLOR_TANGENT_2, DUCK_COLOR_VERTEX, DUCK_COLOR_WIDTH, DUCK_COLOR_WIDTH_TEXT_1, DUCK_COLOR_WIDTH_TEXT_2, studio::WorkAreaRenderer::get_ph(), studio::WorkAreaRenderer::get_pw(), studio::WorkArea::get_selected_value_node(), studio::Duckmatic::get_type_mask(), studio::WorkAreaRenderer::get_work_area(), studio::App::restrict_radius_ducks, studio::Duck::TYPE_ANGLE, studio::Duck::TYPE_RADIUS, studio::Duck::TYPE_VERTEX, and studio::Duck::TYPE_WIDTH.

The documentation for this class was generated from the following files:

- renderer_ducks.h
- renderer_ducks.cpp